
%ext ck1

#_____________________________________________________
#MUSIC:
%patch $BE97 $65
%patch $BEE2 $65
#_____________________________________________________

#_____________________________________________________
#ORDERING INFO:
#Blank O.I text (520 chars free at $1632C)
%patch $A497 $C3

#Sprite list for Ordering Info
%patch $16152 $003AW		#Change OI sprites to Funky Mink.
              $003EW
#V Positioning list
%patch $16156 $8800W $0000W	#Yorp
              $8800W $0000W	#Garg
#H Positioning list
%patch $1615E $C000W $0000W
              $C000W $0000W
#_____________________________________________________

#_____________________________________________________
#SPRITES

#Yorp: (Firefly)
%patch $188B $01      #Unstompable
%patch $19B2 $75 $12 #Remove gravity for walking
%patch $19E7 43  #Looking around
%patch $19E4 0   #Frames used -1
%patch $1993 48  #Walking right
%patch $199B 48  #Walking left
%patch $19A1 3   #Animation speed
%patch $1A8A 42  #Shot
%patch $1A85 2   #Frames used
%patch $18CD  30 #Initial speed for Yorps *left* of Keen [Towards Keen]
%patch $18D4 -30 #Initial speed for Yorps *right* of Keen [Towards Keen]
%patch $1A1C -30 #Speed *towards* Keen of Yorps *right* of Keen after Yorp looks for Keen
%patch $1A14  30 #Speed *towards* Keen of Yorps *left* of Keen after Yorp looks for Keen
%patch $19CE  30 #Right speed of Yorp after Yorp hits left wall
%patch $19C2 -30 #Left speed of Yorps after Yorp hits right wall
%patch $1964  40 #Sprite jump height

#Garg (Spider)
%patch $187B 52  #Start
%patch $1B65 53  #Looking around
%patch $1B62 2   #Frames used -1
%patch $1B5E 3   #Animation speed
%patch $1AE3 54  #Moving right
%patch $1AEB 52  #Moving left
%patch $1AF5 1   #Frames used -1 [Left and right]
%patch $1BF0 56  #Shot
%patch $1B39 $74  #Garg always jumps, whether it's running or not:

#Pushbot: (Cart)
%patch $17D0 28  #Start
%patch $1DD6 28  #Walking right
%patch $1DDE 28  #Walking left
%patch $1DE8 0   #Frames used for both -1
%patch $1E87 28  #Turning
%patch $1E84 0   #Frames used

#Chain (Crystal)
%patch $191B 29 #Chain sprite

#Eliminate extra sprites
%patch $46F8 70 #Keen's shot
%patch $476B 29 #Zap 1 sprite 1 [Keen's shot hits left wall and Keen]
%patch $4772 39 #Zap 1 sprite 2 [Keen's shot hits left wall and Keen]
%patch $47DC 29 #Zap 2 sprite 1 [Keen's shot hits right wall and Keen]
%patch $47E3 39 #Zap 2 sprite 2 [Keen's shot hits right wall and Keen]
%patch $483C 29 #Zap 3 sprite 1 [Keen/Tank shots hit walls]
%patch $4844 39 #Zap 3 sprite 2 [Keen/Tank shots hit walls]
%patch $4881 29 #Zap 4 sprite 1 [Keen's shots hit sprites]
%patch $4888 39 #Zap 4 sprite 2 [Keen's shots hit sprites]
%patch $4988 29 #Zap 5 sprite 1
%patch $498F 39 #Zap 5 sprite 2
%patch $49F4 29 #Zap 6 sprite 1
%patch $49FB 39 #Zap 6 sprite 2
%patch $4A38 29 #Zap 7 sprite 1 [Tank shots hit sprites]
%patch $4A3F 39 #Zap 7 sprite 2 [Tank shots hit sprites]
#_____________________________________________________

#_____________________________________________________
#ENDING:

#Complete the game when level 1 is done:
%patch $8022 $A6 $AA $00 $74 #The byte C4 sets a win condition to level 16, level
%patch $8029 $A6 $AA $00 $74 #15 is C2, etc. For the 32 levels patch use B5 with
%patch $8030 $A6 $AA $00 $74 #level 15 as B4, etc. This patch means you can have
%patch $8037 $A6 $AA $00 $74 #up to four levels as winning conditions

#Slim down ending:
%patch $81A3 $02     #No flight to earth or mars map sequence

#Window lights up and turns off (Keen goes to bed)
%patch $8586 $3C $00 #Pause between textbox dissapearing and window lighting up
%patch $858F $01 $00 #Bitmap used for window
%patch $85A0 17      #Light turning on sound [max value $40]
%patch $85A9 $78 $00 #How long the window stays lit
%patch $85B2 $01 $00 #Dark window bitmap
%patch $85C3 19      #Light turning off sound [max value $40]
%patch $85CC $2C $00 #Pause between window going dark and second textbox appearing
%patch $8612 $3C $00 #Puase between texbox dissapearing and window lighting up
%patch $861B $01 $00 #Bitmap used for 2nd window

%patch $873F $3C $00 #Puase between texbox dissapearing and window lighting up
%patch $8748 $01 $00 #Sprite used for window
%patch $8759 19      #Light turning off sound
%patch $8762 $2C $00 #How long window is dark
%patch $876B $01 $00 #Sprite used for light window
%patch $8792 19      #Light turning on sound [Here occurs AFTER textbox setup.]

#Stop 3rd textbox appearing
%patch $8635 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90
#Stop 4th textbox appearing
%patch $867B $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90
#Stop 5th textbox appearing
%patch $86AF $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
#Stop 6th textbox appearing
%patch $86EC $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90
#Stop 7th textbox appearing
%patch $8714 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90 $90
             $90 $90 $90 $90 $90 $90 $90

#First house textbox:
%patch $8546 $17 $00 #Bottom
%patch $854A $1C $00 #Right side
%patch $855F $D4 $2B #First Line of text read from:
%patch $8568 $6C $2C #Second Line of text read from:
%patch $8571 $6C $2C #Third Line of text read from:

%patch $15C24 "The sun is low in the" $0A
              "sky as Keen emerges" $0A
              "from the dank, dark" $0A
              "mines." $0A $0A
              "Success!" $00

#Second textbox
%patch $85D5 $17 $00 #Bottom
%patch $85D9 $1C $00 #Right
%patch $85EB $6D $2C #First Line of text read from:
%patch $85F4 $6C $2C #Second Line of text read from:
%patch $85FD $6C $2C #Third Line of text read from:

%patch $15CBD "He waits for his effort" $0A
              "to be confirmed." $0A
              "                       " $0A $0A
              "And waits... and waits." $00

#Eighth textbox
%patch $877C $17 $00 #Bottom
%patch $8780 $1C $00 #Right
%patch $879B $E0 $2C #First Line of text read from:
%patch $87A4 $6C $2C #Second Line of text read from:
%patch $87AD $6C $2C #Third Line of text read from:
%patch $87B6 $6C $2C #Fourth Line of text read from:
%patch $87BF $6C $2C #Fifth Line of text read from:

%patch $15D30 "But there is nothing," $0A
              "just the subdued noises" $0A
              "of the empty planet." $0A $0A
              "'Figures!'" $00

%patch $15E72 "THE END... AT LAST!" $00

#_____________________________________________________

#_____________________________________________________
#Cheats:
%patch $A626 $EB #Stop no clipping on map with GOD mode
%patch $3F4E $EB #Stop pogo flying with GOD mode
#_____________________________________________________

#_____________________________________________________
#Remove menu texts: (All but newgame)
%patch $9631 $90 $90 $90   #Continue Game
%patch $963A $90 $90 $90   #Story
%patch $9643 $90 $90 $90   #About Id
%patch $964C $90 $90 $90   #High Scores
%patch $9655 $90 $90 $90   #Ordering Info
%patch $965E $90 $90 $90   #Previews!
%patch $9667 $90 $90 $90   #Restart Demo

#Patch: Menu window size
%patch $9601 $07 $00 #Height
%patch $9605 $12 $00 #Width

#Menu pointers ('Do nothing' value is $95CAW)
%patch $95ED $9570W # New Game
             $95A3W # Continue Game
             $957FW # Story
             $9596W # High scores
             $95CAW # Restart Demo
             $95CAW # Ordering Info
             $95CAW # Previews!
             $95CAW # Restart Demo

#Shrink menu pointer space
%patch $9414 $03     #Moving down
%patch $938F $03 $00 #When wrapping from top

%patch $15EE6 "   New Game" $0A $0A
              "   Story" $0A
              "   The Keenest" $0A $0A $00
#_____________________________________________________


#====================== Vorticons Extended =====================

#far segment code
%patchfile $10000 patch\atrseg.bin

# VIDEO --------------------------------------------------

#Far Call to ATR_0
%patch $B7B2 $10001000RL

#Far Call to ATR_1
%patch $B7AA $1000104DRL

#masked animations
#add si, [cur_anim_plane_nptr]; mov si, [si]; nop; nop
%patch $B9CE $03 $36 $BE $35 $8B $34 $90 $90 

# TILESETS -----------------------------------------------

# COMMENT OUT ONE OF THE FOLLOWING LINES
# Default: Using 4 Frames, 8 frame line commented out
%patch $18040 $00A8W $07C4W $0EE0W $15FCW $00A8W $07C4W $0EE0W $15FCW # USE 4 FRAMES (4 x 2)

# References to Animation and Info Planes
%patch $B799 $E #8 planes 
%patch $B79C $4FF0W #new anim plane offset array (above)

# Tileset Loader
%patchfile $13BF patch\loader.bin
%patch $676 $E8 $0D87W #call loader

# call tile collision routine
%patch $2C97 $9A $10000000RL $C3

# slopes on world map
%patchfile $A616 patch\mapslope.bin

# references to tileinfo type plane
%patch $045A $8A $87 $3A1CW $98 $90 #overwrite shl bx, 1; CODE: mov al, TileInfo_UEDGE[bx], 0; and al, 3; cbw; cmp al, 1
%patch $281E $8A $87 $3A1CW $98 $90
%patch $283D $8A $87 $3A1CW $98 $90
%patch $4364 $8A $87 $3A1CW $98 $90

# references to tileinfo uedge blocking
%patch $38C5 $8A $87 $3DAAW $24 $03 $98 $3C $01 #think_13_keen_ground: 

# references to tileinfo redge blocking
%patch $473D $80 $BF $4138W $0 $90 $90 #overwrite shl bx, 1; CODE: cmp byte ptr TileInfo_UEDGE[bx], 0; nop; nop;
%patch $495A $80 $BF $4138W $0 $90 $90

# references to tli DEdge blocking

# references to tli LEdge Blocking
%patch $382F $80 $BF $4854W $0 $90 $90
%patch $47B1 $80 $BF $4854W $0 $90 $90
%patch $49C9 $80 $BF $4854W $0 $90 $90

# EXTRA STUFF -----------------------------------------------

# All of this is optional, but might make the game nicer to play

# remove del_x = 0 on keen shot
%patch $3B47 $90 $90 $90

# pogo and jump fix: keen must have > 0 Y velocity to pogo
%patch $3FAC $F7 $C6 $02 $00 $74 $18 $83 $3E $42 $82 $00 $7C $11 $E9 $44 $D5
%patch $3D68 $F7 $C6 $02 $00 $74 $12 $83 $3E $42 $82 $00 $7C $0B $E9 $A3 $D7



#============= END Vorticons Extended PATCH 320x200 ====================


#_____________________________________________________
#New palette patch
#First palette; modified
%patch $21850 
       00 00 00 #black 
       09 14 58 #blue 
       41 51 13 #green 
       03 03 03 #Dark dark grey
       45 30 05 #brown
       58 36 15 #orange
       21 18 15 #stone grey
       41 41 41 #bright gray 
       09 12 15 #gray 
       15 41 60 #bright blue 
       21 36 09 #dark green 
       44 54 58 #blue-white
       46 12 17 #dark pink
       54 30 37 #pink 
       60 56 29 #yellow 
       63 63 63 #white 
#Lights out palette
       00 00 00 #black 
       04 07 29 #blue 
       20 25 06 #green 
       01 01 01 #Dark dark grey
       22 15 02 #brown
       29 18 07 #orange
       10 09 07 #stone grey
       20 20 20 #bright gray 
       04 06 07 #gray 
       07 20 30 #bright blue 
       10 18 04 #dark green 
       22 27 29 #blue-white
       23 06 08 #dark pink 
       27 15 18 #pink 
       30 28 14 #yellow 
       32 32 32 #white 

#----------------------------------------------------------------------------
#Set EGA color register values for VGA pass-through
#%patch $1558B   $00 $01 $02 $03 $04 $05 $06 $07
#                $08 $09 $0A $0B $0C $0D $0E $0F $03

#Set the palette when we go into graphics mode
%patch $6E46 $E8 $64 $FE $90 $90

#support functions
%patch $5B3D $BA $DA $03 $EC $A8 $08 $75 $FB $EC $A8 $08 $74 $FB $C3 $55 $89
             $E5 $E8 $EC $FF $BA $DA $03 $EC $BA $C0 $03 $EC $50 $B0 $14 $EE
             $8B $46 $04 $EE $58 $EE $89 $EC $5D $C3 $55 $89 $E5 $83 $EC $08
             $31 $C0 $31 $DB $89 $46 $F8 $8A $87 $00 $E8 $2A $46 $04 $73 $02
             $31 $C0 $89 $46 $FA $43 $8A $87 $00 $E8 $2A $46 $04 $73 $02 $31
             $C0 $89 $46 $FC $43 $8A $87 $00 $E8 $2A $46 $04 $73 $02 $31 $C0
             $89 $46 $FE $43 $E8 $B9 $10 $FF $46 $F8 $83 $FB $60 $75 $C8 $89
             $EC $5D $C3

#VGA palette fading
%patch $6C49 $B9 $20 $00 $E8 $EE $EE $89 $C8 $D1 $E0 $48 $50 $E8 $0F $EF $44
             $44 $E2 $F0 $C3 $55 $89 $E5 $BA $C8 $03 $8B $46 $04 $EE $BA $C9
             $03 $8B $46 $06 $EE $8B $46 $08 $EE $8B $46 $0A $EE $89 $EC $5D
             $C3 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00 $00
             $00 $00 $00 $00 $B9 $20 $00 $E8 $AA $EE $B8 $40 $00 $D1 $E1 $29
             $C8 $50 $E8 $C9 $EE $44 $44 $D1 $E9 $E2 $EC $31 $C0 $50 $E8 $A1
             $EE $44 $44 $C3 $B8 $0D $00 $CD $10 $B8 $13 $10 $BB $00 $01 $CD
             $10 $B8 $02 $10 $1E $07 $BA $3B $25 $CD $10 $B8 $12 $10 $B9 $20
             $00 $31 $DB $BA $00 $E8 $CD $10 $C3

#VGA lights
%patch $3592 $C7 $06 $1E $82 $01 $00 $B8 $01 $00 $50 $E8 $43 $8B $44 $44 $31
             $C0 $50 $E8 $A4 $25 $44 $44 $C3 $00 $00 $00 $00 $00 $00 $00 $00
             $C7 $06 $1E $82 $00 $00 $B8 $01 $00 $50 $E8 $23 $8B $44 $44 $B8
             $01 $00 $50 $E8 $83 $25 $44 $44 $C3
#_____________________________________________________

#_____________________________________________________
#Keen:
%patch $39D4 0   #Keen facing right
%patch $39DC 5   #Keen facing left

%patch $39EB 1   #Walking right
%patch $39F6 5   #Animation speed
%patch $3A0E 6   #Walking left
%patch $3A19 5   #Animation speed

%patch $3ADA 10  #Jumping up right [Uses next four frames]
%patch $3AE2 15  #Jumping up left [Uses next four frames]
%patch $3D2A 14  #Jumping/falling right
%patch $3D32 19  #Jumping/falling left

%patch $8F5B 124 #The sprite used for keens [Sprite number*4]

#Alter Keen's jump sound due to pogo problem
%patch $3C3D  13 #Keen jump

#Fix Keen map sprites:
%patch $ABFF 1   #Frames used -1

#_____________________________________________________

#_____________________________________________________
#TILE BEHAVIOR
#Keen 1 background tiles behave like Keen 3
%patch $4409      $26 $8B $07 $B6 $0D $F6 $FE 
%patch $4410  $F6 $EE $26 $89 $07 $E9 $60 $01 
%patch $4482  $E9 $74 $FF 
%patch $44BA  $E9 $3C $FF 
%patch $4513  $E9 $E3 $FE 

#Tiles door leaves behind when opened
%patch $28EF $D8 $02 #Top (Grey background)
%patch $2906 $8D $01 #Bottom (Grey background)
#_____________________________________________________

#_____________________________________________________
#POINTS:

#Joystick 64 point item
%patch $4448 $94 $AA $00 #Joystick
%patch $4471 $40 $00     #64

#Change point item scores
%patch $15076 $04 $00 #1
              $01 $00 #2
              $02 $00 #4
              $10 $00 #8
              $20 $00 #32
#_____________________________________________________

#_____________________________________________________
#HIGH SCORES:
#Don't show the four items [Whether they're got or not]
%patch $9928 $90 #Joystick
%patch $995B $90 #Battery
%patch $998E $90 #Vacum cleaner
%patch $99C1 $90 #Whiskey

#Don't show bitmaps:
%patch $9892 $90 $90 $90 #Name
%patch $98A4 $90 $90 $90 #Score
%patch $98B6 $90 $90 $90 #Parts
%patch $9880 $90 $90 $90 #High Score bitmap

#How many entries are shown in the highscore table [Max 7]
%patch $9A18 $07

#Highscore text uses white backgrounded writing [Calls 62D2]
%patch $99FA $E8 $D5 $C8 #Score
%patch $9A10 $E8 $BF $C8 #Name
#_____________________________________________________

#_____________________________________________________
#START SEQUENCE:

#Remove bitmaps
%patch $A1FD $90         #An
%patch $A1E3 $90 	 #Rising Apogee
%patch $A20F $90 $90 $90 #Still Apogee
%patch $A224 $90 $90 $90 #Presentation
%patch $A236 $90 $90 $90 #Of an
%patch $A248 $90 $90 $90 #Id software
%patch $A25A $90 $90 $90 #Production
%patch $97B9 $90 $90 $90 #F1
%patch $97CB $90 $90 $90 #Title

%patch $6FA1 $00 #One moment

#_____________________________________________________

#_____________________________________________________
#STATUS BOX:

# Patch in the long-integer drawing function 
%patch $11B4                   $55 $89 $E5 $B8 $0A $00 $50 $B8 $90 $82 $50 $FF 
               $76 $06 $FF $76 $04 $E8 $03 $C2 $83 $C4 $08 $B8 $90 $82 $50 $E8 
               $A5 $C5 $44 $44 $8B $56 $08 $29 $C2 $89 $16 $82 $82 $8B $46 $0A 
               $A3 $F8 $82 $B8 $90 $82 $50 $E8 $E8 $50 $44 $44 $89 $EC $5D $C3 

#Status text file
%patch $13084  "STATUS.CK1" $00 

#Status box code
%patch $0E6A                                           $B8 $00 $3D $BA $34 $00   # Show status window (0E6A) 
               $CD $21 $89 $C3 $BF $27 $00 $C6 $06 $9A $82 $00 $B9 $0A $00 $BA 
               $90 $82 $B4 $3F $CD $21 $53 $B8 $90 $82 $50 $E8 $2E $97 $44 $44 
               $5B $4F $75 $E8 $B4 $3E $CD $21 
                                               $8B $46 $FE $05 $04 $00 $50 $89   # Show score (0E98) 
               $F0 $05 $11 $00 $50 $FF $36 $CC $AA $FF $36 $CA $AA $E8 $04 $03 
               $83 $C4 $08 
                           $8B $46 $FE $05 $01 $00 $50 $89 $F0 $05 $1A $00 $50   # Show extra Keen score (0EB3) 
               $A1 $C4 $6E $8B $16 $C2 $6E $81 $C2 $20 $4E $15 $00 $00 $50 $52 
               $90 $90 $90 $83 $C4 $08 
                                       $31 $FF $3B $3E $C6 $AA $7D $29 $83 $FF   # Show Keens (0ED6) 
               $06 $7D $24 $B8 $7B $00 $50 $8B $46 $FE $05 $08 $00 $B1 $03 $D3 
               $E0 $90 $90 $50 $89 $F8 $D1 $E0 $05 $01 $00 $01 $F0 $50 $E8 $2C 
               $AC $83 $C4 $06 $47 $EB $D1 
%patch $0F07                               $B8 $46 $01 $83 $3E $94 $AA $00 $74   # Draw the joystick 
               $03 $B8 $46 $01 $50 $8B $46 $FE $05 $00 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0A $00 $50 $E8 $0D $AA $83 $C4 $06 
                                                                           $B8   # Draw the battery 
               $47 $01 $83 $3E $9C $AA $00 $74 $03 $B8 $47 $01 $50 $8B $46 $FE 
               $05 $00 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $0C $00 
               $50 $E8 $E5 $A9 $83 $C4 $06 
                                           $B8 $48 $01 $83 $3E $96 $AA $00 $74   # Draw the vacuum 
               $03 $B8 $48 $01 $50 $8B $46 $FE $05 $00 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0E $00 $50 $E8 $BD $A9 $83 $C4 $06 
                                                                           $B8   # Draw the whiskey 
               $49 $01 $83 $3E $98 $AA $00 $74 $03 $B8 $49 $01 $50 $8B $46 $FE 
               $05 $00 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $10 $00 
               $50 $E8 $95 $A9 $83 $C4 $06 
%patch $0FA7                               $B8 $4A $01 $83 $3E $9E $AA $00 $74   # Keycard A 
               $03 $B8 $4D $01 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $12 $00 $50 $E8 $6D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard B 
               $4B $01 $83 $3E $A0 $AA $00 $74 $03 $B8 $4E $01 $50 $8B $46 $FE 
               $05 $07 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $16 $00 
               $50 $E8 $45 $A9 $83 $C4 $06 
                                           $B8 $4C $01 $83 $3E $A2 $AA $00 $74   # Keycard C 
               $03 $B8 $4F $01 $50 $8B $46 $FE $05 $09 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $12 $00 $50 $E8 $1D $A9 $83 $C4 $06 
                                                                           $B8   # Keycard D 
               $45 $01 $83 $3E $A4 $AA $00 $74 $03 $B8 $45 $01 $50 $8B $46 $FE 
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $17 $00 
               $50 $90 $90 $90 $83 $C4 $06 
%patch $1047                               $B8 $45 $01 $83 $3E $9A $AA $00 $74   # Pogo stick 
               $03 $B8 $51 $01 $50 $8B $46 $FE $05 $07 $00 $B1 $03 $D3 $E0 $05 
               $04 $00 $50 $89 $F0 $05 $0B $00 $50 $90 $90 $90 $83 $C4 $06 
                                                                           $8B   # Draw ammo 
               $46 $FE $05 $0A $00 $50 $89 $F0 $05 $1B $00 $50 $31 $C0 $50 $FF 
               $36 $C8 $AA $E8 $2E $01 $83 $C4 $08 
                                                   $B8 $50 $01 $50 $8B $46 $FE   # Draw raygun (replace first two bytes 
               $05 $09 $00 $B1 $03 $D3 $E0 $05 $04 $00 $50 $89 $F0 $05 $16 $00   # with $EB $1C if you don't want to 
               $50 $E8 $95 $A8 $83 $C4 $06                                       # draw the raygun on the status screen) 

                                           $E8 $90 $4B $31 $C0 $50 $E8 $1E $AD   # Wait for a key, then return 
               $44 $44 $E8 $81 $A6 $E8 $D1 $F1 $E8 $CE $F1 $E8 $7C $4B $8B $46 
               $FC $8B $56 $FA $89 $16 $35 $51 $A3 $37 $51 $5F $5E $89 $EC $5D 
               $C3 
#_____________________________________________________

#_____________________________________________________
#Change the controls to: Space, shoot; Enter, status. 
%patch $1251  $48 
%patch $7FA3  $48 
%patch $3B23  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3C4E  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3DB9  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3DCC  $90 $90 
%patch $3E6D  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $3FFC  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00 
%patch $40AA  $90 $90 $90 $90 $90 $90 $90 $80 $3E $65 $50 $00
#_____________________________________________________

#_____________________________________________________
#MISC:

#On death set points = 0, ammo = 0
%patch $8041 $E8 $16 $CF $90 
%patch $4F58 $EB $46 $C7 $06 $CA $AA $00 $00 $C7 $06 $C8 $AA $00 $00 
             $C7 $06 $98 $AA $00 $00 $C7 $06 $9C $AA $00 $00 $FF $0E 
             $C6 $AA $C3 

#Keen always has a pogo
%patch $900E  $01 $00 

#Two game over bitmaps:
%patch $94F4 $04 $00 #Game over
%patch $8BA4 $03 $00 #Used in high score window

#Change high score window:
%patch $15E86 $0A "        SCORE:" $00
%patch $15EBD " place!" $0A $0A
              "Enter your name:" $00

#How fast tiles animate...
%patch $7CDE $03 #In-game
%patch $9080 $08 #Out-game

#Eliminate previews text:
%patch $15925 "ENDTEXT." $00

#About Id is blank[no text]
%patch $97F0 $C3

#Fix exits:
%patch $412E $00 #Exit tiles don't change.

#Bridge block
%patch $4AEE $AD $01
%patch $4B3D $AD $01

#Animating switch
%patch $36DB $63 $02 #This tile when flipped becomes...
%patch $36E0 $64 $02 #This tile and...
%patch $36FC $64 $02 #This tile when flipped becomes...
%patch $3716 $63 $02 #This tile.

#Can't save game!
%patch $D1B $90 $90 $90

# Change the teleporter so it works within the level (updated 24/09/03) 
%patch $8919                           $89 $F0 $F7 $2E $08 $6C $01 
   $F8 $D1 $E0 $C4 $1E $4C $6C $01 $C3 $26 $8B $07 $50 $88 $E0 $98 
   $99 $01 $F0 $83 $D2 $00 $B1 $0C $E8 $16 $58 $89 $16 $E4 $6E $A3 
   $E2 $6E $05 $00 $B0 $83 $D2 $FF $A3 $D4 $6E $89 $16 $D6 $6E $58 
   $98 $99 $01 $F8 $83 $D2 $00 $B1 $0C $E8 $F5 $57 $89 $16 $E0 $6E 
   $A3 $DE $6E $05 $00 $70 $83 $D2 $FF $A3 $D0 $6E $89 $16 $D2 $6E 
   $C3 
%patch $4572  $E8 $A4 $43 $EB $13 $90 

#_____________________________________________________

%end
